> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert Agent

> Endpoint POST /v1/agent

`POST` `/v1/agent`

## Body

```json theme={null}
{
  "token": "TOKEN_SHIMLI",
  "name": "Name_Agent",
  "phone": "Number_Agent",
  "email": "Email_Agent"
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X POST https://api.shimli.app/v1/agent \
  -H "Content-Type: application/json" \
  -d '{
    "token": "TOKEN_SHIMLI",
    "name": "Name_Agent",
    "phone": "Number_Agent",
    "email": "Email_Agent"
}'
```

## Respuesta

```json title="200 OK" theme={null}
{
  "statusCode": 200,
  "body": {
    "err": false
  }
}
```
